R4i Renovation V2.10T Help

Discussion in 'NDS - Flashcarts and Accessories' started by ThyProdigy, Jul 13, 2014.

  1. ThyProdigy
    OP

    ThyProdigy Newbie

    Newcomer
    3
    0
    Jul 13, 2014
    United States
    I've never posted a thread or anything like this so quite frankly I'm a noob at all of this.

    I've been having a problem with a R4i card and I can't get it to work. (Generic black screen with the "An error has occurred. Please hold the power button...")
    I've done some research and my card that I bought is a clone called "R4i Renovation V2.10T". It is red with gold letters and the link on the card leads to a site that is in chinese and has no working download links for the firmware/kernel. (www.r4sdhc.com)
    I've tried downloading many different kinds of firmware, even ones that supposedly "work", but no luck.
    My DSi is black, refurbished (got it two weeks ago), and it's version 1.4.4U.

    If anyone can find a website that has a working firmware and kernel that is compatible with my card, it will be VERY much appreciated. I've had so much trouble with this card and I don't feel like buying a new one. So if anyone can find a solution, thank you.

    Oh and one more thing, am I supposed to install both the firmware and kernel into my Micro SD card?
     
  2. migles

    migles Mei the sexiest bae

    Member
    GBAtemp Patron
    migles is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    6,630
    4,351
    Sep 19, 2013
    Saint Kitts and Nevis
    my dad works for nintendo.
  3. ThyProdigy
    OP

    ThyProdigy Newbie

    Newcomer
    3
    0
    Jul 13, 2014
    United States
    Oh ok, thank you. I've done some more research on these forums and it turns out the update 1.4.4U blocks my card :/
    I also just got my DSi a week ago after my old one was stolen. Hopefully my friend's DSi has not yet been updated because my card is compatible with anything lower than 1.4.3. Thanks though, appreciate it.
     
  4. migles

    migles Mei the sexiest bae

    Member
    GBAtemp Patron
    migles is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    6,630
    4,351
    Sep 19, 2013
    Saint Kitts and Nevis
    my dad works for nintendo.
    i never seen this card before. but in the website it says it does support 1.4.4

    you just need to find an old ds to update it...
     
  5. ThyProdigy
    OP

    ThyProdigy Newbie

    Newcomer
    3
    0
    Jul 13, 2014
    United States
    Ok, so I will need an old DSi to update it? And let's say I do in fact get a compatible one, how would I update it?
    And also, I can't thank you enough for all the time you took to help me.
     
  6. migles

    migles Mei the sexiest bae

    Member
    GBAtemp Patron
    migles is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    6,630
    4,351
    Sep 19, 2013
    Saint Kitts and Nevis
    my dad works for nintendo.
    you got a better change if you find a "NOT DSI" this means, you get better change with an original ds or ds lite.

    if you bothered looking, you could navigate in the website i gave you before there is instructions on how to do it.

    heres the document from the website: https://web.archive.org/web/20130117142533/http://www.r4sdhc.com/Instructions.doc

    you need to copy the files to the card, and in the console it should either ask you to update, or find the options menu and there should be an option to update it. usually it just detects it.


    either way. i just tried to download the firmware and the link appears to be dead. check if you can update it using the "r4i english" link. if this doesnt update the card, you can try wood, but i can't help you with this because i don't have a r4 and i don't know sufficient information about wood.

    if you try wood (make sure you got a borrowed old ds\ds lite) and it doesnt work, you can put the card on the microwave... or give it to someone who does have an original ds\dslite. then buy a new not so weird r4 card from a reputable "brand" or get the "lamborghini of the ds flashcarts" and buy a DSTWO, i have this one, its expensive but worth every peny...